Bug 1018393 - Review Request: lv2-artyfx-plugins - a collection of LV2 audio plugins
Summary: Review Request: lv2-artyfx-plugins - a collection of LV2 audio plugins
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Antonio Trande
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FedoraAudio
TreeView+ depends on / blocked
 
Reported: 2013-10-11 20:50 UTC by Brendan Jones
Modified: 2014-01-24 07:38 UTC (History)
4 users (show)

Fixed In Version: lv2-artyfx-plugins-0-1.2.20131011git918613f.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 06:08:47 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
anto.trande: fedora-review+


Attachments (Terms of Use)

Description Brendan Jones 2013-10-11 20:50:09 UTC
Arty FX is a plugin bundle of artistic “RT” effects. The aim of this plugin collection is to allow the designing of your sound just as you desired using a fast, effiecient workflow.

http://openavproductions.com/artyfx/

SRPM: http://bsjones.fedorapeople.org/reviews/lv2-artyfx-plugins-0-0.1.20131011gita4d52ec.fc20.src.rpm
SPEC: http://bsjones.fedorapeople.org/reviews/lv2-artyfx-plugins.spec

rpmlint /home/bsjones/rpmbuild/SRPMS/lv2-artyfx-plugins-0-0.1.20131011gita4d52ec.fc20.src.rpm /home/bsjones/rpmbuild/RPMS/x86_64/lv2-artyfx-plugins-0-0.1.20131011gita4d52ec.fc20.x86_64.rpm ~/rpmbuild/SPECS/lv2-artyfx-plugins.spec 
lv2-artyfx-plugins.src: W: spelling-error %description -l en_US workflow -> work flow, work-flow, workforce
lv2-artyfx-plugins.x86_64: W: spelling-error %description -l en_US workflow -> work flow, work-flow, workforce
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

Comment 1 Antonio Trande 2013-10-13 12:41:11 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.

License file is missing.

[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GPL (v2 or later)", "GPL (v2 or later)", "Unknown or
     generated". 20 files have unknown license. Detailed output of
     licensecheck in /home/sagitter/1018393-lv2-artyfx-
     plugins/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.

There is a new commit: 
https://github.com/harryhaaren/openAV-ArtyFX/tree/5db7fd08482b1f9f44d8b3a641b81ba66fa14731

[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: lv2-artyfx-plugins-0-0.1.20131011gita4d52ec.fc21.x86_64.rpm
          lv2-artyfx-plugins-0-0.1.20131011gita4d52ec.fc21.src.rpm
lv2-artyfx-plugins.x86_64: W: spelling-error %description -l en_US workflow -> work flow, work-flow, workforce
lv2-artyfx-plugins.src: W: spelling-error %description -l en_US workflow -> work flow, work-flow, workforce
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint lv2-artyfx-plugins
lv2-artyfx-plugins.x86_64: W: spelling-error %description -l en_US workflow -> work flow, work-flow, workforce
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
lv2-artyfx-plugins (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libcairomm-1.0.so.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libntk.so.1()(64bit)
    libntk_images.so.1()(64bit)
    libsigc-2.0.so.0()(64bit)
    libsndfile.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    lv2
    rtld(GNU_HASH)



Provides
--------
lv2-artyfx-plugins:
    lv2-artyfx-plugins
    lv2-artyfx-plugins(x86-64)



Unversioned so-files
--------------------
lv2-artyfx-plugins: /usr/lib64/lv2/ducka.lv2/ducka.so
lv2-artyfx-plugins: /usr/lib64/lv2/ducka.lv2/ducka_ui.so
lv2-artyfx-plugins: /usr/lib64/lv2/filta.lv2/filta.so
lv2-artyfx-plugins: /usr/lib64/lv2/filta.lv2/filta_ui.so
lv2-artyfx-plugins: /usr/lib64/lv2/masha.lv2/masha.so
lv2-artyfx-plugins: /usr/lib64/lv2/masha.lv2/masha_ui.so
lv2-artyfx-plugins: /usr/lib64/lv2/roomy.lv2/roomy.so
lv2-artyfx-plugins: /usr/lib64/lv2/roomy.lv2/roomy_ui.so

Source checksums
----------------
https://github.com/harryhaaren/openAV-ArtyFX/archive/a4d52ec23e5dd148a3c147c16f72f6b2c5d43057.zip :
  CHECKSUM(SHA256) this package     : 9035555677f3e0eb22ed7c362a1a9137475d473ea5955da3052dae662f85fb56
  CHECKSUM(SHA256) upstream package : 9035555677f3e0eb22ed7c362a1a9137475d473ea5955da3052dae662f85fb56


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1018393
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

Comment 3 Antonio Trande 2013-10-24 16:18:54 UTC
Package approved !

Comment 4 Brendan Jones 2013-10-24 19:01:02 UTC
Thanks Antonio

New Package SCM Request
=======================
Package Name: lv2-artyfx-plugins
Short Description: Collection of LV2 plugins
Owners: martinkg
Branches: f18 f19 f20
InitialCC:

Comment 5 Gwyn Ciesla 2013-10-24 19:09:58 UTC
Git done (by process-git-requests).

Comment 6 MartinKG 2013-10-26 09:54:30 UTC
please note, the correct owner of this package is Brandon Jones.

New Package SCM Request
======================
Package Name: lv2-artyfx-plugins
Short Description: Collection of LV2 plugins
Owners: bsjones
Branches: f18 f19 f20
InitialCC:

Comment 7 Brendan Jones 2013-10-26 10:52:31 UTC
Sorry Martin. Can you just log into packagedb and add me to the package? The SCM request won't work here. You can then remove yourself and I'll take it. Apologies.
https://admin.fedoraproject.org/pkgdb/acls/name/lv2-artyfx-plugins

Comment 8 MartinKG 2013-10-26 11:23:51 UTC
(In reply to Brendan Jones from comment #7)
> Sorry Martin. Can you just log into packagedb and add me to the package? The
> SCM request won't work here. You can then remove yourself and I'll take it.
> Apologies.
> https://admin.fedoraproject.org/pkgdb/acls/name/lv2-artyfx-plugins

you can now take ownership of the package.

Comment 9 Fedora Update System 2013-10-26 12:03:02 UTC
lv2-artyfx-plugins-0-1.1.20131011git918613f.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lv2-artyfx-plugins-0-1.1.20131011git918613f.fc20

Comment 10 Fedora Update System 2013-10-26 18:46:48 UTC
lv2-artyfx-plugins-0-1.1.20131011git918613f.fc20 has been pushed to the Fedora 20 testing repository.

Comment 11 Fedora Update System 2013-10-27 07:38:56 UTC
lv2-artyfx-plugins-0-1.2.20131011git918613f.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/lv2-artyfx-plugins-0-1.2.20131011git918613f.fc19

Comment 12 Fedora Update System 2013-11-10 06:08:47 UTC
lv2-artyfx-plugins-0-1.2.20131011git918613f.fc20 has been pushed to the Fedora 20 stable repository.

Comment 13 Fedora Update System 2014-01-24 07:38:34 UTC
lv2-artyfx-plugins-0-1.2.20131011git918613f.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.